Skip to content
GET /unified/user-directory/roles/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace_id
1 supported1 required
dbt Labs
required
group_id
1 supported
Opsgenie
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for a role

42 supported
Adobe Marketo Engage
supported
Apache Airflow
supported
Auth0
supported
Avigilon Alta
supported
BigPanda
supported
Boomi
supported
Close
supported
CrowdStrike
supported
Datadog
supported
dbt Labs
supported
Domo
supported
Freshdesk
supported
Freshservice
supported
Harness
supported
HelloID
supported
JFrog
supported
Jira
supported
Jira Service Management
supported
Kommo
supported
LaunchDarkly
supported
Oracle Netsuite
supported
New Relic
supported
OneLogin
supported
Opsgenie
supported
Oracle Fusion Cloud
supported
Oracle Fusion Cloud Financials
supported
Outreach
supported
Pipedrive
supported
Qlik Sense
supported
Rockset
supported
SailPoint IdentityIQ SCIM
supported
SailPoint Identity Security Cloud
supported
Salesforce
supported
Salesloft
supported
Sisense
supported
SolarWinds Service Desk
supported
Sophos
supported
UiPath
supported
Webex
supported
Workato
supported
Zoho CRM
supported
Zoom
supported
applicable_instring

The context in which the role is applicable

Possible values:
groupworkspace
2 supported
dbt Labs
supported
Opsgenie
supported
created_atstring · date-time

The date and time the role was created

19 supported
Avigilon Alta
supported
BigPanda
supported
Close
supported
Datadog
supported
dbt Labs
supported
Domo
supported
Freshdesk
supported
Freshservice
supported
Harness
supported
Oracle Netsuite
supported
Oracle Fusion Cloud
supported
Oracle Fusion Cloud Financials
supported
Outreach
supported
Qlik Sense
supported
Rockset
supported
SailPoint IdentityIQ SCIM
supported
SailPoint Identity Security Cloud
supported
Salesforce
supported
Workato
supported
descriptionstring

The description of the role

20 supported
Auth0
supported
Boomi
supported
CrowdStrike
supported
Domo
supported
Freshservice
supported
Harness
supported
HelloID
supported
JFrog
supported
Jira
supported
LaunchDarkly
supported
Oracle Fusion Cloud
supported
Oracle Fusion Cloud Financials
supported
Pipedrive
supported
Qlik Sense
supported
Rockset
supported
SailPoint Identity Security Cloud
supported
Salesforce
supported
Sisense
supported
SolarWinds Service Desk
supported
Sophos
supported
labelstring

The display label of the role

5 supported
New Relic
supported
Oracle Fusion Cloud
supported
Oracle Fusion Cloud Financials
supported
Sisense
supported
UiPath
supported
namestring

The name of the role

42 supported
Adobe Marketo Engage
supported
Apache Airflow
supported
Auth0
supported
Avigilon Alta
supported
BigPanda
supported
Boomi
supported
Close
supported
CrowdStrike
supported
Datadog
supported
dbt Labs
supported
Domo
supported
Freshdesk
supported
Freshservice
supported
Harness
supported
HelloID
supported
JFrog
supported
Jira
supported
Jira Service Management
supported
Kommo
supported
LaunchDarkly
supported
Oracle Netsuite
supported
New Relic
supported
OneLogin
supported
Opsgenie
supported
Oracle Fusion Cloud
supported
Oracle Fusion Cloud Financials
supported
Outreach
supported
Pipedrive
supported
Qlik Sense
supported
Rockset
supported
SailPoint IdentityIQ SCIM
supported
SailPoint Identity Security Cloud
supported
Salesforce
supported
Salesloft
supported
Sisense
supported
SolarWinds Service Desk
supported
Sophos
supported
UiPath
supported
Webex
supported
Workato
supported
Zoho CRM
supported
Zoom
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the role

2 supported
UiPath
supported
Workato
supported
updated_atstring · date-time

The date and time the role was last updated

18 supported
Avigilon Alta
supported
BigPanda
supported
Close
supported
Datadog
supported
dbt Labs
supported
Domo
supported
Freshdesk
supported
Freshservice
supported
Harness
supported
Oracle Netsuite
supported
Oracle Fusion Cloud
supported
Oracle Fusion Cloud Financials
supported
Outreach
supported
Qlik Sense
supported
SailPoint IdentityIQ SCIM
supported
SailPoint Identity Security Cloud
supported
Salesforce
supported
Workato
supported
curl -X GET 'https://api.truto.one/unified/user-directory/roles/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/roles/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/roles/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'roles',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "roles",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())